<?php
/**
 *
 * Observer
 *
 * $Date: 2012-11-23 15:47:02 +0100 (Fri, 23 Nov 2012) $
 * @version sofort 1.0  $Id: Observer.php 5767 2012-11-23 14:47:02Z dehn $
 * @author SOFORT AG http://www.sofort.com (f.dehn@sofort.com)
 * @package Shopware 3.5.x, sofort.com
 *
 */
class Observer {
	
	private $stack = array();
	
	/**
	 * 
	 * Update the observer
	 * @param string $key
	 * @param string $message
	 * @param Observable $observable
	 */
	public function update($key, $message, Observable $observable) {
		$this->stack[$key][0] = $message;
		//$this->stack[$key][1] = $observable;
	}
	
	
	/**
	 * 
	 * Getter for the stack
	 */
	public function getStack() {
		return $this->stack;
	}
	
	
	/**
	 * 
	 * Getter for the key
	 * @param unknown_type $key
	 */
	public function getKey($key) {
		if(isset($this->stack[$key])) {
			return $this->stack[$key];
		}
		return false;
	}
}