{*
 * Copyright (c) 2011 SOFORT AG
 *
 * $Date: 2012-11-23 15:03:38 +0100 (Fri, 23 Nov 2012) $
 * @version Shopware SOFORT AG Multipay 1.1.0 $Id: finish.tpl 5763 2012-11-23 14:03:38Z dehn $
 * @author SOFORT AG http://www.sofort.com (integration@sofort.com)
 *
*}
{extends file="frontend/checkout/finish.tpl"}
	{block name="frontend_checkout_finish_teaser" append}
	<div id="finished">
		<div class="table">
			<div class="table_head">
				<div class="grid_6">{s name="sofort_multipay_payment_instructions" namespace="sofort_multipay_finish"}{/s}</div>
			</div>
			<div class="table_row">
				{if $sofortPaymentDetails.name eq "vorkassebysofort_multipay"}
					<div class="grid_6">
					<p class="holder">
						<span class="frontend_checkout_cart_item shopware_studio_snippet">{s name="sofort_multipay_holder" namespace="sofort_multipay_finish"}{/s}: </span> <b>{$vorkasseParams.holder}</b>
					</p>
					<p class="accountnumber">
						<span class="frontend_checkout_cart_item shopware_studio_snippet">{s name="sofort_multipay_account_number" namespace="sofort_multipay_finish"}{/s}: </span> <b>{$vorkasseParams.accountNumber}</b>
					</p>
					<p class="iban">
						<span class="frontend_checkout_cart_item shopware_studio_snippet">{s name="sofort_multipay_iban" namespace="sofort_multipay_finish"}{/s}: </span> <b>{$vorkasseParams.iban}</b>
					</p>
					<p class="bank_code">
						<span class="frontend_checkout_cart_item shopware_studio_snippet">{s name="sofort_multipay_bank_code" namespace="sofort_multipay_finish"}{/s}: </span> <b>{$vorkasseParams.bank_code}</b>
					</p>
					<p class="bic">
						<span class="frontend_checkout_cart_item shopware_studio_snippet">{s name="sofort_multipay_bic" namespace="sofort_multipay_finish"}{/s}: </span> <b>{$vorkasseParams.bic}</b>
					</p>
					<p class="amount">
						<span class="frontend_checkout_cart_item shopware_studio_snippet">{s name="sofort_multipay_amount" namespace="sofort_multipay_finish"}{/s}: </span> <b>{$vorkasseParams.amount} &euro;</b>
					</p>
					<p class="reason_1">
						<span class="frontend_checkout_cart_item shopware_studio_snippet">{s name="sofort_multipay_reason_1" namespace="sofort_multipay_finish"}{/s}: </span> <b>{$vorkasseParams.reason_1}</b>
					</p>
					<p class="reason_2">
						<span class="frontend_checkout_cart_item shopware_studio_snippet">{s name="sofort_multipay_reason_2" namespace="sofort_multipay_finish"}{/s}: </span> <b>{$vorkasseParams.reason_2}</b>
					</p>
					<p>({s name="sofort_multipay_transaction_id" namespace="sofort_multipay_finish"}{/s}: <i>{$transactionId}</i>)</p>
					<p><b>{s name="checkout.sv.reasons_hint" namespace="sofort_multipay_finish"}{/s}</b></p>
					</div>
				{else}
				<div class="grid_12">
					<h2>{$sofortPaymentDetails.description}</h2>
					<p>({s name="sofort_multipay_transaction_id" namespace="sofort_multipay_finish"}{/s}: <span id="transaction_id" style="font-style:italic;">{$transactionId}</span>)</p>
				</div>
				{/if}
				<!-- 
				<div class="grid_6">
					{$sofortPaymentDetails.additionaldescription}
				</div>
				-->
				<div class="clear">&nbsp;</div>
			</div>
		</div>
	</div>
	{/block}
