<?php
/**
 *
 * Interface Observer
 *
 * $Date: 2012-11-23 17:17:32 +0100 (Fri, 23 Nov 2012) $
 * @version sofort 1.0  $Id: Observable.php 5775 2012-11-23 16:17:32Z dehn $
 * @author SOFORT AG http://www.sofort.com (f.dehn@sofort.com)
 * @package Shopware 3.5.x, sofort.com
 *
 */
interface Observable {
	
	/**
	 * 
	 * Attach an observer (object)
	 * @param Observer $Observer
	 */
	public function attach(Observer $Observer);
	/**
	 * 
	 * Detach an observer (object)
	 * @param Observer $Observer
	 */
	public function detach(Observer $Observer);
	
	
	/**
	 * 
	 * Notify the observer (object)
	 * @param unknown_type $key
	 * @param unknown_type $message
	 */
	public function notify($key, $message = '');
}