{*
 * Copyright (c) 2011 SOFORT AG
 *
 * $Date: 2012-11-27 09:47:28 +0100 (Tue, 27 Nov 2012) $
 * @version Shopware SOFORT AG Multipay 1.1.0  $Id: settings.tpl 5793 2012-11-27 08:47:28Z dehn $
 * @author SOFORT AG http://www.sofort.com (integration@sofort.com)
 *
*}

{extends file="backend/index/parent.tpl"}

{block name="backend_index_javascript" append}
<script type="text/javascript">
<!--
function testApiKey(apiKeyElement) {
	var apiKeyInput = Ext.get(apiKeyElement);
	var url = window.location.protocol+'//'+window.location.host + window.location.pathname.replace(/save/, "")+'/testApi';
	var box = Ext.MessageBox.wait('{s name="please_wait" namespace="sofort_multipay_backend"}{/s}', '{s name="test_connection" namespace="sofort_multipay_backend"}{/s}');
	Ext.Ajax.request({
		scope:this,
		url: url,
		success: function(response,request) {
			box.hide();
			if(response.responseText == 1) {
				Ext.MessageBox.alert('{s name="success" namespace="sofort_multipay_backend"}{/s}','{s name="connection_ok" namespace="sofort_multipay_backend"}{/s}');
				apiKeyInput.setStyle('background','green');
			} else {
				Ext.MessageBox.alert('{s name="wrong_credentials" namespace="sofort_multipay_backend"}{/s}','{s name="connection_failed" namespace="sofort_multipay_backend"}{/s}');
				apiKeyInput.setStyle('background','red');
			}
		},
		failure: function() {
			box.hide();
			configTextfieldObject.getEl().setStyle('background','red');
			Ext.MessageBox.alert('{s name="inactive_module" namespace="sofort_multipay_backend"}{/s}','{s name="shop.shopware.activate_module" namespace="sofort_multipay_backend"}{/s}');
		},
		// Pass all needed parameters
		params: { apiKey: apiKeyInput.dom.value }
	});
}

Ext.Element.prototype.toggleDisplay = function() {
	this.setDisplayed(
		this.dom.style.display == 'block' ? 'none' : 'block'
	);
};

/**
 * Toggle layer
 */
function toggle(id) {
	var element = document.getElementById('sofort_' + id);
	Ext.get(element).toggleDisplay();
	var style = Ext.get(element).getStyles('display');
	var openDiv = (style.display == 'block') ? true : false;
	var handleElement = document.getElementById(id+'_handle');
	
	if(openDiv) {
		Ext.get(handleElement).dom.className = 'handle_active';
	} else {
		Ext.get(handleElement).dom.className = 'handle';
	}
}


function toggleShowBanner() {
	var banner = document.getElementById('showSofortBanner');
	var isVisible = banner.style.display;
	
	if(isVisible == 'none') {
		banner.style.display = 'block';
	} else {
		banner.style.display = 'none';
	}
}


/**
 * options for displaying S banner or logo
 */
var suDisplay = function() {
	this.banner = '<a href="{s name='sofort_multipay_su_landing_url' namespace='sofort_multipay_bootstrap'}{/s}" target="_blank">{s name='sofort_multipay_su_banner_img' namespace='sofort_multipay_bootstrap'}{/s}</a>';
	this.logo = '<a href="{s name='sofort_multipay_su_landing_url' namespace='sofort_multipay_bootstrap'}{/s}" target="_blank"><img src="{s name='sofort_multipay_su_banner_img3' namespace='sofort_multipay_bootstrap'}{/s}" alt="" /></a>';
	this.logoText = '{s name='checkout.su.description' namespace='sofort_multipay_checkout'}{/s}';
	this.bannerCustomerProtection = '<a href="{s name='sofort_multipay_su_landing_url' namespace='sofort_multipay_bootstrap'}{/s}" target="_blank"><img src="{s name='sofort_multipay_su_banner_ks_img' namespace='sofort_multipay_bootstrap'}{/s}" alt="" /></a>';
	
	this.target = document.getElementById('su_banner_target');
	
	this.customerProtectionCheckbox = document.getElementById('su_customer_protection');
	this.textOrBannerSelectBox = document.getElementById('su_text_or_banner');
	
	this.init = function() {
		this.toggle();
	},
	this.fetchElementStates = function() {
		this.customerProtectionCheckbox = document.getElementById('su_customer_protection');
		this.textOrBannerSelectBox = document.getElementById('su_text_or_banner');
	},
	this.toggle = function() {
		this.fetchElementStates();
		this.setImage();
	},
	this.setImage = function() {
		this.target.innerHTML = '';
		var html = '';
		
		switch(this.getTextOrBannerSelectBoxSelected()) {
			case 'banner_su':
				if(this.getCustomerProtectionState()) {
					html = this.bannerCustomerProtection;
				} else {
					html = this.banner;
				}
			break;
			case 'text_su':
				if(this.getCustomerProtectionState()) {
					html = this.logo + this.logoText
				} else {
					html = this.logo + this.logoText
				}
			break;
		}
		
		this.target.innerHTML = html;
	},
	this.getCustomerProtectionState = function() {
		var checked = this.customerProtectionCheckbox.checked;
		return checked;
	},
	this.getTextOrBannerSelectBoxSelected = function() {
		var selected = this.textOrBannerSelectBox.options[this.textOrBannerSelectBox.selectedIndex].value;
		return selected;
	}
}

Ext.onReady(function() {
	suDisplay = new suDisplay;
	suDisplay.init();
});

//-->
</script>
{/block}

{block name="backend_index_css" append}
	<!-- Common CSS -->
	<link href="{link file='engine/backend/css/icons4.css'}"  rel="stylesheet" type="text/css" />
	<link href="{link file='engine/backend/css/modules.css'}" rel="stylesheet" type="text/css" />
	<style>
		fieldset ul li {
			display: block;
			clear:left;
		}
		div.element {
			margin: 0;
			padding: 0;
			padding-bottom: 4px;
		}
		div.element.options {
			
		}
		div.element.container {
			width: 100%;
			display: block;
			margin-bottom: 10px;
			border: 1px solid darkGray;
			background-color: #fff;
		}
		div.element.container a, div.element.container a:visited {
			text-decoration: none;
			color: #6E6E6E;
		}
		div.handle:hover {
			cursor: pointer;
		}
		div.handle_active:hover {
			cursor: pointer;
		}
		div.element.container div.handle h2{
			padding: 5px 0 0 14px;
		}
		.handle_active h2 {
			padding: 5px 0 0 14px;
		}
		div.element.container div.handle {
			float: left;
			width: 100%;
			height: 26px;
			z-index: 2;
			background-position: 4px 12px;
			background-image: url(data:image/gif;base64,{$plusImage});
			background-repeat: no-repeat;
		}
		.handle_active {
			float: left;
			width: 100%;
			height: 26px;
			z-index: 2;
			background-position: 4px 12px;
			background-image: url(data:image/gif;base64,{$minusImage});
			background-repeat: no-repeat;
		}
		div.element.container div.logo {
			position: absolute;
			right: 34px;
			cursor: pointer;
		}
		div.element.container div.logo img {
			margin-bottom: -2px;
			margin-right: 1px;
		}
		div.element.container a:hover {
			
		}
		div.element.container h2 {
			font-size: 1.2em;
			margin: 4px 0 0 4px;
		}
		div.element.left {
			padding: 6px 0 0 4px;
			width: 40%;
			line-height: 21px;
		}
		div.element.left label {
			width: 200px;
		}
		div.element.right {
			float: left;
			margin-left: 10px;
			display: block;
			width: auto;
			line-height: 21px;
		}
		div.element.right select{
			margin: 6px 0 0 0;
		}
		div.element.both {
			width: 100%;
		}
		div.element.info {
			float: left;
		}
		div.element.info:hover {
			cursor: pointer;
		}
		div.element.info span.help {
			display: none;
		}
		div.element.info a:hover span {
			display: block;
		}
		div.element.info span.help {
			position: absolute;
			margin: 0px 0px 0px -8px;
		}
		div.element.info a img{
			padding: 4px 0 0 4px;
		}
		div.element.info span.help span.on-head {
			display: block;
			background: url(data:image/gif;base64,{$helpOverImage}) left top no-repeat;
			height: 10px;
			width: 214px;
		}
		div.element.info span.help span.on-inner {
			display: block;
			width: 194px;
			padding: 10px;
			background: url(data:image/gif;base64,{$helpOverImage}) left bottom no-repeat;
			color: white;
			font-size: 10px;
			line-height: 16px;
			text-decoration: none;
			text-align: left;
		}
		div.element.both div.buttons {
			padding: 4px 0 0 4px;
		}
		span.clear {
			clear:both;
			float:none;
			line-height:0;
			font-size:0;
			display:block
		}
		#su_banner_target {
			padding: 2px;
			border: 1px dotted;
		}
	</style>
{/block}

{block name="backend_index_body_inline"}
	<fieldset class="col2_cat2" style="margin-top:-15px">
		<legend><span style="\&quot;color:#F00\&quot;">{s name="advice" namespace="sofort_multipay_backend"}{/s}:</span></legend>
		<p>
			{s name="sofort_multipay_plugin_description" namespace="sofort_multipay"}{/s}
		</p>
	</fieldset>
	<fieldset>
	<legend>{s name="sofort_project_settings" namespace="sofort_multipay"}{/s}</legend>
	<form action="{url controller='SofortSettings' action='save'}" method="post">
		<div class="element options">
			<!-- Check API Key -->
			<div class="element container">
				<h2>API</h2>
				<div class="element left">
					<label>{s name="sofort_multipay_api_key" namespace="sofort_multipay"}{/s}</label>
				</div>
				<div class="element right">
					<input type="text" size="42" id="gatewayApiKey" name="gatewayApiKey" value="{$apiKey}" />
				</div>
				<div class="element info">
					<a href="javascript:void(0)"><img src="data:image/gif;base64,{$infoImage}" />
						<span class="help">
							<span class="on-head">&nbsp;</span>
							<span class="on-inner">
							{s name="tooltip.config_key" namespace="sofort_multipay"}{/s}
							</span>
						</span>
					</a>
				</div>
				<span class="clear">&nbsp;</span>
				<div class="element left">
					<label>{s name="sofort_multipay_test_api_key" namespace="sofort_multipay"}{/s}</label>
				</div>
				<div class="element right">
					<div class="buttons">
						<ul>
							<li style="display: block;" class="buttonTemplate">
							<button type="button" class="button" onclick="testApiKey('gatewayApiKey')" >
								<div class="buttonLabel">{s name="test_api_key_button" namespace="sofort_multipay"}{/s}</div>
							</button>
							</li>
						</ul>
					</div>
				</div>
				<span class="clear">&nbsp;</span>
			</div>
			<!-- Check API Key END-->
			<!-- Options -->
			<div class="element container">
				<h2>Optionen</h2>
				<div class="element left">
					<label>{s name="payment_secret" namespace="sofort_multipay_backend"}{/s}</label>
				</div>
				<div class="element right">
					<input type="text" size="24" id="paymentSecret" name="paymentSecret" value="{$paymentSecret}" />
				</div>
				<div class="element info">
					<a href="javascript:void(0)"><img src="data:image/gif;base64,{$infoImage}" />
						<span class="help">
							<span class="on-head">&nbsp;</span>
							<span class="on-inner">
							{s name="tooltip.payment_secret" namespace="sofort_multipay"}{/s}
							</span>
						</span>
					</a>
				</div>
				<span class="clear">&nbsp;</span>
				<div class="element left">
					<label>{s name="sofort_multipay_reason_1" namespace="sofort_multipay_finish"}{/s}</label>
				</div>
				<div class="element right">
					<input type="text" size="24" id="reason1" name="paymentReason1" value="{$paymentReason}" />
				</div>
				<div class="element info">
					<a href="javascript:void(0)"><img src="data:image/gif;base64,{$infoImage}" />
					<span class="help">
						<span class="on-head">&nbsp;</span>
						<span class="on-inner">
						{s name="tooltip.reason1" namespace="sofort_multipay"}{/s}
						</span>
					</span>
					</a>
				</div>
				<span class="clear">&nbsp;</span>
				<div class="element left">
					<label>{s name="sofort_multipay_reason_2" namespace="sofort_multipay_finish"}{/s}</label>
				</div>
				<div class="element right">
					<input type="text" size="24" id="reason2" name="paymentReason2" value="{$paymentReason2}" />
				</div>
				<div class="element info">
					<a href="javascript:void(0)"><img src="data:image/gif;base64,{$infoImage}" />
					<span class="help">
						<span class="on-head">&nbsp;</span>
						<span class="on-inner">
						{s name="tooltip.reason2" namespace="sofort_multipay"}{/s}
						</span>
					</span>
					</a>
				</div>
				<span class="clear">&nbsp;</span>
				<div class="element left">
					<label>Banner auf der Startseite anzeigen</label>
				</div>
				<div class="element right">
					<input name="showSofortBanner" onchange="toggleShowBanner()" type="checkbox" {$showSofortBanner} />
					<div id="showSofortBanner" {if !$showSofortBanner}style="display: none"{/if}>
						<a href="{s name="sofort_multipay_su_landing_url" namespace="sofort_multipay_bootstrap"}{/s}" target="_blank" rel="nofollow">
							<img src="{s name="sofort_multipay_su_banner_img2" namespace="sofort_multipay_bootstrap"}{/s}" alt="{s name="sofort_multipay_su_banner_img_alt" namespace="sofort_multipay_bootstrap"}{/s}">
						</a>
					</div>
				</div>
				<span class="clear">&nbsp;</span>
			</div>
			<!-- Options END-->
			<!-- SUE -->
			<div class="element container">
				<div class="handle" id="su_handle" onclick="toggle('su')"><h2>{s name="sofort_multipay_su_public_title" namespace="sofort_multipay_bootstrap"}{/s}</h2></div>
				<div class="logo" onclick="toggle('su')">{s name="sofort_multipay_su_title_img" namespace="sofort_multipay_bootstrap"}{/s}</div>
				<span class="clear">&nbsp;</span>
				<div id="sofort_su" style="display: none">
					<div class="element left">
						<label>Kuferschutz</label>
					</div>
					<div class="element right">
						<input id="su_customer_protection" onclick="suDisplay.toggle()" type="checkbox" name="su_customer_protection" {$suCustomerProtection}/>
					</div>
					<!--
					<div class="element info">
						<a href="javascript:void(0)"><img src="data:image/gif;base64,{$infoImage}" />
							<span class="help">
								<span class="on-head">&nbsp;</span>
								<span class="on-inner">
								Zwei flinke Boxer jagen die quirlige Eva und ihren Mops durch Sylt. Franz jagt im komplett verwahrlosten Taxi quer durch Bayern. Zwlf Boxkmpfer jagen Viktor quer ber den groen Sylter Deich. Vogel Quax zwickt Johnys Pferd Bim. Sylvia wagt quick den Jux bei Pforzheim. Polyfon zwitschernd aen Mxchens Vgel Rben, Joghurt und Quark. "Fix, Schwyz! " qukt Jrgen bld vom Pa. Victor jagt zwlf Boxkmpfer quer ber den groen Sylter Deich. Falsches ben von Xylophonmusik qult jeden greren Zwerg. Heizlrckstoabdmpfung. Zwei flinke Boxer jagen die quirlige Eva und ihren Mops durch Sylt. Franz jagt im komplett verwahrlosten Taxi quer durch Bayern. Zwlf Boxkmpfer jagen Viktor quer ber den groen Sylter Deich. Vogel Quax zwickt Johnys Pferd Bim. Sylvia wagt quick den Jux bei Pforzheim. Polyfon zwitschernd aen Mxchens Vgel Rben, Joghurt und Quark. "Fix, Schwyz! " qukt Jrgen bld vom Pa. Victor jagt zwlf Boxkmpfer quer ber den groen Sylter Deich. Falsches ben von Xylophonmusik qult jeden greren Zwerg. Heizlrckstoabdmpfung. Zwei flinke Boxer jagen die quirlige Eva und ihren Mops durch Sylt. Franz jagt im komplett verwahrlosten Taxi quer durch Bayern. Zwlf Boxkmpfer jagen Viktor quer ber den groen Sylter Deich. Vogel Quax zwickt Johnys Pferd Bim. Sylvia wagt quick den Jux
								</span>
							</span>
						</a>
					</div>
					-->
					<span class="clear">&nbsp;</span>
					<div class="element left">
						<label class="description" for="input_su_banner">{s name="banner_su_desc" namespace="sofort_multipay"}{/s}</label>
					</div>
					<div class="element right">
						<select name="sofort_su_text_or_banner" id="su_text_or_banner" onclick="suDisplay.toggle()">
							<option {$bannerSuSelected} value="banner_su">{s name="banner_su_desc" namespace="sofort_multipay"}{/s}</option>
							<option {$textSuSelected} value="text_su">{s name="text_su_desc" namespace="sofort_multipay"}{/s}</option>
						</select>
					</div>
					<!--
					<div class="element info">
						<a href="javascript:void(0)"><img src="data:image/gif;base64,{$infoImage}" />
							<span class="help">
								<span class="on-head">&nbsp;</span>
								<span class="on-inner">
								Zwei flinke Boxer jagen die quirlige Eva und ihren Mops durch Sylt. Franz jagt im komplett verwahrlosten Taxi quer durch Bayern. Zwlf Boxkmpfer jagen Viktor quer ber den groen Sylter Deich. Vogel Quax zwickt Johnys Pferd Bim. Sylvia wagt quick den Jux bei Pforzheim. Polyfon zwitschernd aen Mxchens Vgel Rben, Joghurt und Quark. "Fix, Schwyz! " qukt Jrgen bld vom Pa. Victor jagt zwlf Boxkmpfer quer ber den groen Sylter Deich. Falsches ben von Xylophonmusik qult jeden greren Zwerg. Heizlrckstoabdmpfung. Zwei flinke Boxer jagen die quirlige Eva und ihren Mops durch Sylt. Franz jagt im komplett verwahrlosten Taxi quer durch Bayern. Zwlf Boxkmpfer jagen Viktor quer ber den groen Sylter Deich. Vogel Quax zwickt Johnys Pferd Bim. Sylvia wagt quick den Jux bei Pforzheim. Polyfon zwitschernd aen Mxchens Vgel Rben, Joghurt und Quark. "Fix, Schwyz! " qukt Jrgen bld vom Pa. Victor jagt zwlf Boxkmpfer quer ber den groen Sylter Deich. Falsches ben von Xylophonmusik qult jeden greren Zwerg. Heizlrckstoabdmpfung. Zwei flinke Boxer jagen die quirlige Eva und ihren Mops durch Sylt. Franz jagt im komplett verwahrlosten Taxi quer durch Bayern. Zwlf Boxkmpfer jagen Viktor quer ber den groen Sylter Deich. Vogel Quax zwickt Johnys Pferd Bim. Sylvia wagt quick den Jux
								</span>
							</span>
						</a>
					</div>
					-->
					<span class="clear">&nbsp;</span>
					<!-- -->
					<div class="element left">
						<label>Logo/Banner Vorschau</label>
					</div>
					<div class="element right" id="su_banner_target">
						
					</div>
					<!-- -->
					<span class="clear">&nbsp;</span>
					<div class="element left">
						<label>{s name="sofort_multipay_dropdown_su_canceled" namespace="sofort_multipay_bootstrap"}{/s}</label>
					</div>
					<div class="element right">
						<select name="Sofort_SuCanceledState">
							{foreach from=$coreStates item=state}
								<option value="{$state.id}" {if $Sofort_SuCanceledState eq $state.id}selected{/if}>{$state.description}</option>
							{/foreach}
						</select>
					</div>
					<span class="clear">&nbsp;</span>
					<div class="element left">
						<label>{s name="sofort_multipay_dropdown_su_pending" namespace="sofort_multipay_bootstrap"}{/s}</label>
					</div>
					<div class="element right">
						<select name="Sofort_SuConfirmedState">
							{foreach from=$coreStates item=state}
								<option value="{$state.id}" {if $Sofort_SuConfirmedState eq $state.id}selected{/if}>{$state.description}</option>
							{/foreach}
						</select>
					</div>
					<span class="clear">&nbsp;</span>
					<div class="element left">
						<label>{s name="sofort_multipay_dropdown_su_loss" namespace="sofort_multipay_bootstrap"}{/s}</label>
					</div>
					<div class="element right">
						<select name="Sofort_SuLossState">
							{foreach from=$coreStates item=state}
								<option value="{$state.id}" {if $Sofort_SuLossState eq $state.id}selected{/if}>{$state.description}</option>
							{/foreach}
						</select>
					</div>
					<span class="clear">&nbsp;</span>
					<!--
					<div class="element left">
						<label>Su Received State</label>
					</div>
					<div class="element right">
						<select name="Sofort_SuReceivedState">
							{foreach from=$coreStates item=state}
								<option value="{$state.id}" {if $Sofort_SuReceivedState eq $state.id}selected{/if}>{$state.description}</option>
							{/foreach}
						</select>
					</div>
					<span class="clear">&nbsp;</span>
					-->
					<div class="element left">
						<label>{s name="sofort_multipay_dropdown_su_refunded" namespace="sofort_multipay_bootstrap"}{/s}</label>
					</div>
					<div class="element right">
						<select name="Sofort_SuRefundedState">
							{foreach from=$coreStates item=state}
								<option value="{$state.id}" {if $Sofort_SuRefundedState eq $state.id}selected{/if}>{$state.description}</option>
							{/foreach}
						</select>
					</div>
				<!--
				<span class="clear">&nbsp;</span>
				<div class="element left">
					<label>{s name="sofort_multipay_dropdown_su_refunded" namespace="sofort_multipay"}{/s}</label>
				</div>
				<div class="element right">
					<select name="Sofort_SuCompensationState">
						{foreach from=$coreStates item=state}
							<option value="{$state.id}" {if $Sofort_SuCompensationState eq $state.id}selected{/if}>{$state.description}</option>
						{/foreach}
					</select>
				</div>
				-->
			<span class="clear">&nbsp;</span>
			</div>
			</div>
			<!-- SUE END-->
			<!-- RbS -->
			<div class="element container">
				<div class="handle" id="sr_handle" onclick="toggle('sr')"><h2>{s name="sofort_multipay_sr_public_title" namespace="sofort_multipay_bootstrap"}{/s}</h2></div>
				<div class="logo" onclick="toggle('sr')">{s name="sofort_multipay_sr_title_img" namespace="sofort_multipay_bootstrap"}{/s}</div>
				<span class="clear">&nbsp;</span>
				<div id="sofort_sr" style="display: none">
					<div class="element left">
					<label>{s name="sofort_multipay_dropdown_sr_canceled" namespace="sofort_multipay_bootstrap"}{/s}</label>
					</div>
					<div class="element right">
						<select name="Sofort_SrCanceledState">
							{foreach from=$coreStates item=state}
								<option value="{$state.id}" {if $Sofort_SrCanceledState eq $state.id}selected{/if}>{$state.description}</option>
							{/foreach}
						</select>
					</div>
					<span class="clear">&nbsp;</span>
					<div class="element left">
						<label>{s name="sofort_multipay_dropdown_sr_pending_confirm_invoice" namespace="sofort_multipay_bootstrap"}{/s}</label>
					</div>
					<div class="element right">
						<select name="Sofort_SrPendingState">
							{foreach from=$coreStates item=state}
								<option value="{$state.id}" {if $Sofort_SrPendingState eq $state.id}selected{/if}>{$state.description}</option>
							{/foreach}
						</select>
					</div>
					<span class="clear">&nbsp;</span>
					<div class="element left">
						<label>{s name="sofort_multipay_dropdown_sr_pending_not_credited_yet" namespace="sofort_multipay_bootstrap"}{/s}</label>
					</div>
					<div class="element right">
						<select name="Sofort_SrConfirmedState">
							{foreach from=$coreStates item=state}
								<option value="{$state.id}" {if $Sofort_SrConfirmedState eq $state.id}selected{/if}>{$state.description}</option>
							{/foreach}
						</select>
					</div>
					<span class="clear">&nbsp;</span>
					<div class="element left">
						<label>{s name="sofort_multipay_dropdown_sr_refunded" namespace="sofort_multipay_bootstrap"}{/s}</label>
					</div>
					<div class="element right">
						<select name="Sofort_SrRefundedState">
							{foreach from=$coreStates item=state}
								<option value="{$state.id}" {if $Sofort_SrRefundedState eq $state.id}selected{/if}>{$state.description}</option>
							{/foreach}
						</select>
						</div>
					<span class="clear">&nbsp;</span>
				</div>
			</div>
			<!-- RbS END-->
			<!-- SL -->
			<div class="element container">
				<div class="handle" id="sl_handle" onclick="toggle('sl')"><h2>{s name="sofort_multipay_sl_public_title" namespace="sofort_multipay_bootstrap"}{/s}</h2></div>
				<div class="logo" onclick="toggle('sl')">{s name="sofort_multipay_sl_title_img" namespace="sofort_multipay_bootstrap"}{/s}</div>
				<span class="clear">&nbsp;</span>
				<div id="sofort_sl" style="display: none">
					<div class="element left">
					<label>{s name="sofort_multipay_dropdown_sl_canceled" namespace="sofort_multipay_bootstrap"}{/s}</label>
					</div>
					<div class="element right">
						<select name="Sofort_SlCanceledState">
							{foreach from=$coreStates item=state}
								<option value="{$state.id}" {if $Sofort_SlCanceledState eq $state.id}selected{/if}>{$state.description}</option>
							{/foreach}
						</select>
					</div>
					<span class="clear">&nbsp;</span>
					<div class="element left">
						<label>{s name="sofort_multipay_dropdown_sl_received" namespace="sofort_multipay_bootstrap"}{/s}</label>
					</div>
					<div class="element right">
						<select name="Sofort_SlReceivedState">
							{foreach from=$coreStates item=state}
								<option value="{$state.id}" {if $Sofort_SlReceivedState eq $state.id}selected{/if}>{$state.description}</option>
							{/foreach}
						</select>
					</div>
					<span class="clear">&nbsp;</span>
					<div class="element left">
						<label>{s name="sofort_multipay_dropdown_sl_loss" namespace="sofort_multipay_bootstrap"}{/s}</label>
					</div>
					<div class="element right">
						<select name="Sofort_SlLossState">
							{foreach from=$coreStates item=state}
								<option value="{$state.id}" {if $Sofort_SlLossState eq $state.id}selected{/if}>{$state.description}</option>
							{/foreach}
						</select>
					</div>
					<span class="clear">&nbsp;</span>
					<div class="element left">
						<label>{s name="sofort_multipay_dropdown_sl_compensation" namespace="sofort_multipay_bootstrap"}{/s}</label>
					</div>
					<div class="element right">
						<select name="Sofort_SlCompensationState">
							{foreach from=$coreStates item=state}
								<option value="{$state.id}" {if $Sofort_SlCompensationState eq $state.id}selected{/if}>{$state.description}</option>
							{/foreach}
						</select>
					</div>
					<span class="clear">&nbsp;</span>
					<div class="element left">
						<label>{s name="sofort_multipay_dropdown_sl_refunded" namespace="sofort_multipay_bootstrap"}{/s}</label>
					</div>
					<div class="element right">
						<select name="Sofort_SlRefundedState">
							{foreach from=$coreStates item=state}
								<option value="{$state.id}" {if $Sofort_SlRefundedState eq $state.id}selected{/if}>{$state.description}</option>
							{/foreach}
						</select>
						</div>
					<span class="clear">&nbsp;</span>
				</div>
			</div>
			<!-- SL END-->
			<!-- LS -->
			<div class="element container">
				<div class="handle" id="ls_handle" href="javascript:void(0)" onclick="toggle('ls')"><h2>{s name="sofort_multipay_ls_public_title" namespace="sofort_multipay_bootstrap"}{/s}</h2></div>
				<div class="logo" onclick="toggle('ls')">{s name="sofort_multipay_ls_title_img" namespace="sofort_multipay_bootstrap"}{/s}</div>
				<span class="clear">&nbsp;</span>
				<div id="sofort_ls" style="display: none">
					<div class="element left">
						<label>{s name="order_status_aborted_desc" namespace="sofort_multipay"}{/s}</label>
					</div>
					<div class="element right">
						<select name="Sofort_LsCanceledState">
							{foreach from=$coreStates item=state}
								<option value="{$state.id}" {if $Sofort_LsCanceledState eq $state.id}selected{/if}>{$state.description}</option>
							{/foreach}
						</select>
					</div>
					<span class="clear">&nbsp;</span>
					<div class="element left">
						<label>{s name="sofort_multipay_dropdown_ls_received" namespace="sofort_multipay_bootstrap"}{/s}</label>
					</div>
					<div class="element right">
						<select name="Sofort_LsReceivedState">
							{foreach from=$coreStates item=state}
								<option value="{$state.id}" {if $Sofort_LsReceivedState eq $state.id}selected{/if}>{$state.description}</option>
							{/foreach}
						</select>
					</div>
					<span class="clear">&nbsp;</span>
					<div class="element left">
						<label>{s name="sofort_multipay_dropdown_ls_loss" namespace="sofort_multipay_bootstrap"}{/s}</label>
					</div>
					<div class="element right">
						<select name="Sofort_LsLossState">
							{foreach from=$coreStates item=state}
								<option value="{$state.id}" {if $Sofort_LsLossState eq $state.id}selected{/if}>{$state.description}</option>
							{/foreach}
						</select>
					</div>
					<span class="clear">&nbsp;</span>
					<div class="element left">
						<label>{s name="sofort_multipay_dropdown_ls_compensation" namespace="sofort_multipay_bootstrap"}{/s}</label>
					</div>
					<div class="element right">
						<select name="Sofort_LsCompensationState">
							{foreach from=$coreStates item=state}
								<option value="{$state.id}" {if $Sofort_LsCompensationState eq $state.id}selected{/if}>{$state.description}</option>
							{/foreach}
						</select>
					</div>
					<span class="clear">&nbsp;</span>
					<div class="element left">
						<label>{s name="sofort_multipay_dropdown_ls_refunded" namespace="sofort_multipay_bootstrap"}{/s}</label>
					</div>
					<div class="element right">
						<select name="Sofort_LsRefundedState">
							{foreach from=$coreStates item=state}
								<option value="{$state.id}" {if $Sofort_LsRefundedState eq $state.id}selected{/if}>{$state.description}</option>
							{/foreach}
						</select>
						</div>
					<span class="clear">&nbsp;</span>
				</div>
			</div>
			<!-- LS END-->
			<!-- SV -->
			<div class="element container">
				<div class="handle" id="sv_handle" href="javascript:void(0)" onclick="toggle('sv')"><h2>{s name="sofort_multipay_sv_public_title" namespace="sofort_multipay_bootstrap"}{/s}</h2></div>
				<div class="logo" onclick="toggle('sv')">{s name="sofort_multipay_sv_title_img" namespace="sofort_multipay_bootstrap"}{/s}</div>
				<span class="clear">&nbsp;</span>
				<div id="sofort_sv" style="display: none">
					<div class="element left">
						<label>{s name="sofort_multipay_dropdown_sv_canceled" namespace="sofort_multipay_bootstrap"}{/s}</label>
					</div>
					<div class="element right">
						<select name="Sofort_SvCanceledState">
							{foreach from=$coreStates item=state}
								<option value="{$state.id}" {if $Sofort_SvCanceledState eq $state.id}selected{/if}>{$state.description}</option>
							{/foreach}
						</select>
					</div>
					<span class="clear">&nbsp;</span>
					<div class="element left">
						<label>{s name="sofort_multipay_dropdown_sv_pending" namespace="sofort_multipay_bootstrap"}{/s}</label>
					</div>
					<div class="element right">
						<select name="Sofort_SvPendingState">
							{foreach from=$coreStates item=state}
								<option value="{$state.id}" {if $Sofort_SvPendingState eq $state.id}selected{/if}>{$state.description}</option>
							{/foreach}
						</select>
					</div>
					<span class="clear">&nbsp;</span>
					<div class="element left">
						<label>{s name="sofort_multipay_dropdown_sv_loss" namespace="sofort_multipay_bootstrap"}{/s}</label>
					</div>
					<div class="element right">
						<select name="Sofort_SvLossState">
							{foreach from=$coreStates item=state}
								<option value="{$state.id}" {if $Sofort_SvLossState eq $state.id}selected{/if}>{$state.description}</option>
							{/foreach}
						</select>
					</div>
					<span class="clear">&nbsp;</span>
					<div class="element left">
						<label>{s name="sofort_multipay_dropdown_sv_received" namespace="sofort_multipay_bootstrap"}{/s}</label>
					</div>
					<div class="element right">
						<select name="Sofort_SvReceivedState">
							{foreach from=$coreStates item=state}
								<option value="{$state.id}" {if $Sofort_SvReceivedState eq $state.id}selected{/if}>{$state.description}</option>
							{/foreach}
						</select>
					</div>
					<span class="clear">&nbsp;</span>
					<div class="element left">
						<label>{s name="sofort_multipay_dropdown_sv_partially" namespace="sofort_multipay_bootstrap"}{/s}</label>
					</div>
					<div class="element right">
						<select name="Sofort_SvPartiallyCreditedState">
							{foreach from=$coreStates item=state}
								<option value="{$state.id}" {if $Sofort_SvPartiallyCreditedState eq $state.id}selected{/if}>{$state.description}</option>
							{/foreach}
						</select>
					</div>
					<span class="clear">&nbsp;</span>
					<div class="element left">
						<label>{s name="sofort_multipay_dropdown_sv_overpayment" namespace="sofort_multipay_bootstrap"}{/s}</label>
					</div>
					<div class="element right">
						<select name="Sofort_SvOverpaymentState">
							{foreach from=$coreStates item=state}
								<option value="{$state.id}" {if $Sofort_SvOverpaymentState eq $state.id}selected{/if}>{$state.description}</option>
							{/foreach}
						</select>
					</div>
					<span class="clear">&nbsp;</span>
					<div class="element left">
						<label>{s name="sofort_multipay_dropdown_sv_compensation" namespace="sofort_multipay_bootstrap"}{/s}</label>
					</div>
					<div class="element right">
						<select name="Sofort_SvCompensationState">
							{foreach from=$coreStates item=state}
								<option value="{$state.id}" {if $Sofort_SvCompensationState eq $state.id}selected{/if}>{$state.description}</option>
							{/foreach}
						</select>
					</div>
					<span class="clear">&nbsp;</span>
					<div class="element left">
						<label>{s name="sofort_multipay_dropdown_sv_refunded" namespace="sofort_multipay_bootstrap"}{/s}</label>
					</div>
					<div class="element right">
						<select name="Sofort_SvRefundedState">
							{foreach from=$coreStates item=state}
								<option value="{$state.id}" {if $Sofort_SvRefundedState eq $state.id}selected{/if}>{$state.description}</option>
							{/foreach}
						</select>
					</div>
					<span class="clear">&nbsp;</span>
				</div>
			</div>
			<!-- SV END-->
			<div class="element container">
			<!-- IDEAL START-->
				<div class="handle" id="ideal_handle" href="javascript:void(0)" onclick="toggle('ideal')"><h2>{s name="sofort_ideal_title" namespace="sofort_multipay_bootstrap"}{/s}</h2></div>
				<div class="logo" onclick="toggle('ideal')">{s name="sofort_ideal_banner_image" namespace="sofort_multipay_bootstrap"}{/s}</div>
				<span class="clear">&nbsp;</span>
					<div id="sofort_ideal" style="display: none">
						<div class="element left">
							<label>{s name="sofort_multipay_api_key" namespace="sofort_multipay"}{/s}</label>
						</div>
						<div class="element right">
							<input type="text" size="42" id="idealApiKey" name="idealApiKey" value="{$idealApiKey}" />
						</div>
						<span class="clear">&nbsp;</span>
						<div class="element left">
							<label>{s name="sofort_multipay_test_api_key" namespace="sofort_multipay"}{/s}</label>
						</div>
						<div class="element right">
							<div class="buttons">
								<ul>
									<li style="display: block;" class="buttonTemplate">
									<button type="button" class="button" onclick="testApiKey('idealApiKey')" >
										<div class="buttonLabel">{s name="test_api_key_button" namespace="sofort_multipay"}{/s}</div>
									</button>
									</li>
								</ul>
							</div>
						</div>
						<span class="clear">&nbsp;</span>
						<div class="element left">
							<label>{s name="sofort_ideal_project_password" namespace="sofort_multipay_bootstrap"}{/s}</label>
						</div>
						<div class="element right">
							<input type="text" size="42" id="apiKey" name="idealProjectPassword" value="{$idealProjectPassword}" />
						</div>
						<span class="clear">&nbsp;</span>
						<div class="element left">
							<label>{s name="sofort_ideal_notification_password" namespace="sofort_multipay_bootstrap"}{/s}</label>
						</div>
						<div class="element right">
							<input type="text" size="42" id="apiKey" name="idealNotificationPassword" value="{$idealNotificationPassword}" />
						</div>
						<span class="clear">&nbsp;</span>
						<div class="element left">
							<label>{s name="sofort_ideal_hash_algorithm" namespace="sofort_multipay_bootstrap"}{/s}</label>
						</div>
						<div class="element right">
							<select name="idealEncryptionAlgorithm" value="{$encryptionAlgorithm}">
								{foreach from=$availableEncryptionAlgorithms item=algorithm}
									{if $algorithm == $selectedEncryptionAlgorithm}
										<option selected value="{$algorithm}">{$algorithm}</option>
									{else}
										<option value="{$algorithm}">{$algorithm}</option>
									{/if}
								{/foreach}
							</select>
						</div>
						<span class="clear">&nbsp;</span>
						<div class="element left">
						<label>{s name="sofort_multipay_dropdown_ideal_canceled" namespace="sofort_multipay_bootstrap"}{/s}</label>
						</div>
						<div class="element right">
							<select name="Sofort_IdealCanceledState">
								{foreach from=$coreStates item=state}
									<option value="{$state.id}" {if $Sofort_IdealCanceledState eq $state.id}selected{/if}>{$state.description}</option>
								{/foreach}
							</select>
						</div>
						<span class="clear">&nbsp;</span>
						<div class="element left">
							<label>{s name="order_status_pending_desc" namespace="sofort_multipay"}{/s}</label>
						</div>
						<div class="element right">
							<select name="Sofort_IdealPendingState">
								{foreach from=$coreStates item=state}
									<option value="{$state.id}" {if $Sofort_IdealPendingState eq $state.id}selected{/if}>{$state.description}</option>
								{/foreach}
							</select>
						</div>
						<span class="clear">&nbsp;</span>
						<div class="element left">
						<label>{s name="sofort_multipay_dropdown_ideal_received" namespace="sofort_multipay_bootstrap"}{/s}</label>
					</div>
					<div class="element right">
						<select name="Sofort_IdealReceivedState">
							{foreach from=$coreStates item=state}
								<option value="{$state.id}" {if $Sofort_IdealReceivedState eq $state.id}selected{/if}>{$state.description}</option>
							{/foreach}
						</select>
					</div>
					<span class="clear">&nbsp;</span>
					<div class="element left">
						<label>{s name="sofort_multipay_dropdown_ideal_loss" namespace="sofort_multipay_bootstrap"}{/s}</label>
					</div>
					<div class="element right">
						<select name="Sofort_IdealLossState">
							{foreach from=$coreStates item=state}
								<option value="{$state.id}" {if $Sofort_IdealLossState eq $state.id}selected{/if}>{$state.description}</option>
							{/foreach}
						</select>
					</div>
					<span class="clear">&nbsp;</span>
					</div>
				</div>
				<!-- IDEAL END-->
			<div class="element container">
				<div class="element both">
					<div class="buttons">
						<ul>
							<li style="display: block;" class="buttonTemplate">
							<button id="save" name="action" type="submit" value="save" class="button"><div class="buttonLabel">{s name="save" namespace="sofort_multipay"}{/s}</div></button>
							</li>
						</ul>
					</div>
				</div>
				<span class="clear">&nbsp;</span>
			</div>
		</div>
	</form>
	</fieldset>
	<div class="clear"></div>
{/block}