INSERT INTO `s_core_snippets` (`namespace`, `shopID`, `localeID`, `name`, `value`, `created`, `updated`) VALUES
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_version', '1.3.0', NOW(), NOW()),
('sofort_multipay', 1, 2, 'sofort_multipay_plugin_description', 'The sofort gateway is an integrated solution for our products in combination with a bank account at Sofort Bank. When you create a project all of our payment methods are available as options. These can be the payment options in your shop for your end users. This saves you time and gives you the greatest possible flexibility in e-commerce payments. All payments are processed in Euros.', NOW(), NOW()),
('sofort_multipay', 1, 2, 'sofort_project_settings', 'Project settings SOFORT AG', NOW(), NOW()),
('sofort_multipay', 1, 2, 'sofort_multipay_api_key', 'Assigned configuration key by SOFORT AG', NOW(), NOW()),
('sofort_multipay', 1, 2, 'sofort_multipay_test_api_key', 'test configuration key', NOW(), NOW()),
('sofort_multipay', 1, 2, 'tooltip.config_key', '<strong>configuration key searched?</strong> You can find the configuration key in your <strong>Gateway project</strong> in your merchant menu at SOFORT.com. For further information, please contact integration@sofort.com', NOW(), NOW()),
('sofort_multipay', 1, 2, 'tooltip.payment_secret', 'This randomly generated key is used for the secure confirmation of a transaction. After a successful transaction, customers will be directed to a page that informs about the successful conclusion. The URL contains a value which is determined by using this parameter. You can leave this value unchanged.', NOW(), NOW()),
('sofort_multipay', 1, 2, 'tooltip.reason1', 'Here you can edit the first line of the purpose. Please note that the purpose cannot be longer than 27 characters.', NOW(), NOW()),
('sofort_multipay', 1, 2, 'tooltip.reason2', 'Here you can edit the second line of the purpose. Please note that the purpose cannot be longer than 27 characters.', NOW(), NOW()),
('sofort_multipay', 1, 2, 'test_api_key_button', 'test', NOW(), NOW()),
('sofort_multipay', 1, 2, 'order_status_pending_desc', 'Temporary order status<br />Order status for non-completed transactions. The order has been created but the transaction has not yet been confirmed by SOFORT AG.', NOW(), NOW()),
('sofort_multipay', 1, 2, 'order_status_confirmed_desc', 'Confirmed order status<br />Order status after successfully completing a transaction.', NOW(), NOW()),
('sofort_multipay', 1, 2, 'order_status_canceled_desc', 'Cancelled order status<br />Status after a full cancellation of the invoice.', NOW(), NOW()),
('sofort_multipay', 1, 2, 'order_status_aborted_desc', 'Order state at aborted payment', NOW(), NOW()),
('sofort_multipay', 1, 2, 'order_status_partially_credited_desc', 'Partial payment<br />Order status after partial payment of the total amount.', NOW(), NOW()),
('sofort_multipay', 1, 2, 'customer_protection_su', 'SOFORT Banking with customer protection', NOW(), NOW()),
('sofort_multipay', 1, 2, 'customer_protection_sv', 'Payment in advance with consumer protection', NOW(), NOW()),
('sofort_multipay', 1, 2, 'banner_su_desc', 'banner for SOFORT Banking', NOW(), NOW()),
('sofort_multipay', 1, 2, 'text_su_desc', 'logo and text for SOFORT Banking', NOW(), NOW()),
('sofort_multipay', 1, 2, 'banner_sl_desc', 'Banner at SOFORT Lastschrift', NOW(), NOW()),
('sofort_multipay', 1, 2, 'text_sl_desc', 'Logo and text at SOFORT Lastschrift', NOW(), NOW()),
('sofort_multipay', 1, 2, 'save', 'save', NOW(), NOW()),
('sofort_multipay_finish', 1, 2, 'sofort_multipay_holder', 'account holder', NOW(), NOW()),
('sofort_multipay_finish', 1, 2, 'sofort_multipay_account_number', 'account number', NOW(), NOW()),
('sofort_multipay_finish', 1, 2, 'sofort_multipay_bank_code', 'bank code', NOW(), NOW()),
('sofort_multipay_finish', 1, 2, 'sofort_multipay_iban', 'IBAN', NOW(), NOW()),
('sofort_multipay_finish', 1, 2, 'sofort_multipay_bic', 'BIC', NOW(), NOW()),
('sofort_multipay_finish', 1, 2, 'sofort_multipay_amount', 'Amount', NOW(), NOW()),
('sofort_multipay_finish', 1, 2, 'sofort_multipay_reason_1', 'Reason 1', NOW(), NOW()),
('sofort_multipay_finish', 1, 2, 'sofort_multipay_reason_2', 'Reason 2', NOW(), NOW()),
('sofort_multipay_finish', 1, 2, 'sofort_multipay_transaction_id', 'transaction ID', NOW(), NOW()),
('sofort_multipay_finish', 1, 2, 'sofort_multipay_su_not_credited_yet', 'Order via SOFORT Banking successfully transmitted. Your transaction ID: {{transaction}}', NOW(), NOW()),
('sofort_multipay_finish', 1, 2, 'sofort_multipay_su_status_loss', 'Up till now it has not been possible to confirm the payment. {{time}}', NOW(), NOW()),
('sofort_multipay_finish', 1, 2, 'sofort_multipay_not_credited', 'The goods are prepared for shipping.', NOW(), NOW()),
('sofort_multipay_finish', 1, 2, 'sofort_multipay_credited', 'Received.', NOW(), NOW()),
('sofort_multipay_finish', 1, 2, 'sofort_multipay_credited_to_seller', 'Payment to the merchant account has been completed.', NOW(), NOW()),
('sofort_multipay_finish', 1, 2, 'sofort_multipay_confirm_invoice2_vorkasse', 'Order with {{paymentMethodStr}} successfully submitted. Transaction-ID: {{tId}} {{time}}', NOW(), NOW()),
('sofort_multipay_finish', 1, 2, 'sofort_multipay_confirm_invoice2_sofortlastschrift', 'Order with {{paymentMethodStr}} successfully submitted. Transaction-ID: {{tId}} {{time}}', NOW(), NOW()),
('sofort_multipay_finish', 1, 2, 'sofort_multipay_confirm_invoice2_lastschriftbysofort', 'Order with {{paymentMethodStr}} successfully submitted. Transaction-ID: {{tId}} {{time}}', NOW(), NOW()),
('sofort_multipay_finish', 1, 2, 'sofort_multipay_debit_returned2', 'There is a chargeback linked to this transaction. {{time}}', NOW(), NOW()),
('sofort_multipay_finish', 1, 2, 'sofort_multipay_accept_conditions', 'Please accept the privacy policy.', NOW(), NOW()),
('sofort_multipay_finish', 1, 2, 'sofort_multipay_condition', 'privacy policy', NOW(), NOW()),
('sofort_multipay_finish', 1, 2, 'sofort_multipay_condition_notice', 'I have read the {{conditions}}.', NOW(), NOW()),
('sofort_multipay_finish', 1, 2, 'sofort_multipay_payment_instructions', 'Payment details.', NOW(), NOW()),
('sofort_multipay_finish', 1, 2, 'checkout.sv.reasons_hint', 'Please be sure to use the stated purpose when transfering the money, so that we can match your payment properly.', NOW(), NOW()),
('sofort_multipay_cancel', 1, 2, 'payment_cancel', 'Payment is unfortunately not possible or has been cancelled by the customer. Please select another payment method.', NOW(), NOW()),
('sofort_multipay_cancel', 1, 2, 'order_cancel', 'The order has been cancelled.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_su_public_title', 'SOFORT Banking', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_sv_public_title', 'Vorkasse (pay in advance)', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_sr_public_title', 'Kauf auf Rechnung (Purchase on account)', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_sl_public_title', 'SOFORT Lastschrift (direct debit + online banking precheck)', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_ls_public_title', 'Lastschrift/Bankeinzug (direct debit by sofort)', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_su_landing_url', 'https://images.sofort.com/en/su/landing.php', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_su_banner_img', '<img src=\"https://images.sofort.com/en/su/banner_300x100.png\" alt=\"SOFORT Banking\" />', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_su_banner_ks_img', 'https://images.sofort.com/en/su/banner_400x100_ks.png', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_su_banner_img2', 'https://images.sofort.com/en/su/banner_150x200.png', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_su_banner_img3', 'https://images.sofort.com/en/su/logo_155x50.png', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_su_banner_img_alt', 'SOFORT Banking', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_su_title_img', '<img src=\"https://images.sofort.com/en/su/logo_90x30.png\" alt=\"SOFORT Banking\"/>', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_sv_landing_url', 'https://images.sofort.com/en/sv/landing.php', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_sv_banner_img', '<img src=\"https://images.sofort.com/en/sv/banner_300x100.png\" alt=\"Vorkasse\" />', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_sv_title_img', '<img src=\"https://images.sofort.com/en/sv/logo_90x30.png\" alt=\"Logo Vorkasse by SOFORT\"/>', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_sv_refunded_compensation', 'The invoice amount will be partially refunded. Total amount being refunded: {{refunded_amount}}. {{time}}', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_sv_received_overpayment', '{{paymentMethodStr}} - An higher amount than initially claimed was received. Amount: {{received_amount}}. {{time}}', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_sv_partially_credited', '{{paymentMethodStr}} - Only a partial amount of the initially claimed amount was received. {{time}}', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_sr_landing_url', 'https://images.sofort.com/en/sr/landing.php', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_sr_banner_img', '<img src=\"https://images.sofort.com/en/sr/banner_300x100.png\" alt=\"Invoice\" />', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_sr_title_img', '<img src=\"https://images.sofort.com/en/sr/logo_90x30.png\"  alt=\"Logo Rechnung by SOFORT\"/>', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_sl_landing_url', 'https://images.sofort.com/en/sl/landing.php', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_sl_banner_img', '<img src=\"https://images.sofort.com/en/sl/banner_300x100.png\" alt=\"SOFORT Lastschrift\" />', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_sl_banner_img2', 'https://images.sofort.com/en/sl/logo_155x50.png', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_sl_banner_img_alt', 'SOFORT Lastschrift', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_sl_title_img', '<img src=\"https://images.sofort.com/en/sl/logo_90x30.png\" alt=\"logo SOFORT Lastschrift\"/>', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_sl_loss', 'Payment is not received. The money will be refunded. {{time}}', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_ls_landing_url', 'https://images.sofort.com/en/ls/landing.php', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_ls_banner_img', '<img src=\"https://images.sofort.com/en/ls/banner_300x100.png\" alt=\"direct debit\" />', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_temp', 'Payment pending', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_confirmed', 'Payment confirmed', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_canceled', 'Payment aborted', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_aborted', 'Payment aborted', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_unpaid', 'Wait for receipt of money', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_paid', 'Receipt of money', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_refunded', 'Refund', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_loss', 'Check order', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_compensation', 'Partial refund', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_partially', 'Partial payment', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_overpayment', 'Paid too much', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_ls_canceled', 'Define the status for orders that have been cancelled.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_ls_temporary', 'Define the status for orders that have not yet been paid.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_ls_received', 'Define the status for orders for which the direct debit hab been carried out.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_ls_loss', 'Define the status for orders that have been refunded.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_ls_compensation', 'Define the status for orders that have been partially refunded.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_ls_refunded', 'Define the status for orders for which a chargeback has been initiated.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_sl_canceled', 'Define the status for orders that have been cancelled.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_sl_temporary', 'Define the status for orders that have not yet been paid.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_sl_received', 'Define the status for orders for which the direct debit has been carried out.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_sl_loss', 'Define the status for orders that have been refunded.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_sl_compensation', 'Define the status for orders that have been partially refunded.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_sl_refunded', 'Define the status for orders for which a chargeback has been initiated.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_su_canceled', 'Define the status for orders that have been cancelled.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_su_temporary', 'Define the status for orders that have not yet been paid.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_su_pending', 'Define the status for orders that have been successfully completed with SOFORT berweisung.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_su_loss', 'Define the status for orders that require a check.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_su_refunded', 'Define the status for orders which have been refunded.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_sv_canceled', 'Define the status for orders that have been cancelled.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_sv_temporary', 'Define the status for orders that have not yet been paid.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_sv_pending', 'Define the status for orders, which were carried out with Vorkasse.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_sv_loss', 'Define the status of orders for which no incoming payment has been received in the defined period of time.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_sv_received', 'Define the status for orders for which the advance payment  has been received.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_sv_overpayment', 'Define the status for orders in which the amount received differs from the required amount (paid too much).', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_sv_partially', 'Define the status for orders in which the amount received differs from the required amount (paid less).', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_sv_compensation', 'Define the status for orders that have been partially refunded.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_sv_refunded', 'Define the status for orders that have been refunded.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_sr_canceled', 'Define the status for orders that have been cancelled.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_sr_temporary', 'Define the status for orders that have not yet been paid.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_sr_pending_confirm_invoice', 'Define the status for orders that need to be confirmed by the provider (to perform to the purchase of receivables).', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_sr_pending_not_credited_yet', 'Define the status for orders that have been confirmed by the provider.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_sr_refunded', 'Define the status for orders, which have been credited.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_ideal_canceled', 'Define the status for orders that have been cancelled.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_ideal_received', 'Define the status for orders, for which a payment has been confirmed.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_dropdown_ideal_loss', 'Define the status for orders that require a check.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'error_missing_bankdata', 'Please fill in the account number, bank code and bank holder.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'ideal_choose_bank', 'Select your bank', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_ls_title_img', '<img src=\"https://images.sofort.com/en/ls/logo_90x30.png\" alt=\"logo direct debit\"/>', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_su_pending', 'SOFORT Banking selected. Transaction not completed yet.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_su_refunded', 'Invoice amount will be refunded {{time}}', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_su_customerprotection_credited', 'Money is received on the escrow account.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_sv_pending', 'Payment method Vorkasse by SOFORT chosen. Transaction not finished yet.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_sr_pending', 'Payment method Purchase on account chosen. Transaction not finished.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_sr_confirm_invoice', 'Order with Payment by Invoice successfully submitted. The merchant is yet to acknowledge the order. Your transaction ID:', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_sr_not_credited_yet', 'The goods are prepared for shipping.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_sr_refunded', 'The invoice has been cancelled. Refund created. {{time}}', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_sr_canceled', 'The invoice has been cancelled', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_sr_confirmation_period_expired', 'The invoice has been automatically cancelled. The confirmation period of 30 days has expired.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_sl_pending', 'Payment method SOFORT Lastschrift chosen. Transaction not finished.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_ls_pending', 'Payment method Lastschrift by SOFORT chosen. Transaction not finished.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_su_public_title_ks', 'SOFORT Banking with customer protection', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_sv_public_title_ks', 'Payment in advance with consumer protection', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_ideal_title', 'iDEAL', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_ideal_status_pending', 'Order with {{paymentMethodStr}} successfully submitted. Transaction-ID: {{tId}} {{time}}', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_ideal_status_received', 'Received.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_ideal_status_loss', 'Up till now it has not been possible to confirm the payment. {{time}}', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_ideal_status_late_succeed', 'Transaction has been automatically cancelled. Refund on buyer\'s account has been ordered.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_ideal_status_compensation', 'A potion of the amount will be refunded.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_ideal_project_password', 'project password', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_ideal_notification_password', 'notification password', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_ideal_hash_algorithm', 'Hashing algorithm', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_ideal_description', 'iDEAL.nl - online payments for e-commerce in the Netherlands. For payment by iDEAL you need an account with one of the banks listed. They will do the transfer directly to your bank. Services / goods are delivered or shipped when available IMMEDIATELY!', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_ideal_banner_image', '<img src=\"https://images.sofort.com/de/ideal/logo_90x30.png\" alt=\"iDEAL\"/>', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_ideal_banner_image_url', 'https://images.sofort.com/en/ideal/logo_90x30.png', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_ideal_select_bank', 'Please select your bank', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_ideal_landing_url', 'http://www.ideal.nl', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_ideal_confirmation', '<p>After confirming the order you will be redirected to the payment system of your chosen bank, where they can carry out the online transfer.</p><p>You will need your eBanking access data, ie Bank details, account number, PIN and TAN. More information can be found here: <a href=\"http://www.ideal.nl\" target=\"_blank\">iDEAL.nl</a></p>', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_ideal_pending', 'Payment method iDEAL chosen. Transaction not finished.', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_banner_or_text', 'Banner or text in the selection of payment methods', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'no_payment_chosen', 'Error: No payment method chosen', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'sofort_multipay_payment_modules', 'SOFORT Banking and other SOFORT products', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'payment_secret', 'payment secret', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'date', 'date', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'date_last_update', 'Date (last update)', NOW(), NOW()),
('sofort_multipay_bootstrap', 1, 2, 'ordernumber', 'order number', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'beta_products', 'https://documents.sofort.com/general/shopinfo/en', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'actions', 'Actions', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.cp_image', 'https://images.sofort.com/en/su/ks_60x60.png', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.customerprotection_activated', 'Customer protection activated', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'date', 'date', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'customer_number', 'customer ID', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'order_number', 'order number', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'payment_status', 'Payment status', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'payment_method', 'Payment method', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'total', 'Total bill', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'article_total', 'Total position', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'tax_value', 'VAT rate', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'net_value', 'net price', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'gross_value', 'gross price', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'search', 'Search', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'search_for', 'search for ...', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'search_for_error', 'During the search an error occurred', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'orders', 'Orders', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'confirm_invoice', 'confirm invoice', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'sv.status_credited', '{{paymentMethodStr}} - Money received. {{time}}', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'sv.status_partially_credited', 'Invoice amount partially credited.', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'no_transaction_found', 'No transaction found', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'question_confirm_sr', 'Do you actually wish to confirm this invoice?', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'confirm_sr', 'Invoice was confirmed', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'confirm_sr_error', 'During confirmation of the invoice an error occurred', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'question_cancel_sr', 'Are you really sure you want to cancel the invoice? This process can not be undone.', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'question_cancel_confirmed_sr', 'Are you sure you want to credit the invoice? This action can not be undone.', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'cancel_sr', 'Invoice was cancelled', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'button_confirm_sr', 'confirm invoice', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'invoice_status.reminder', 'Dunning level {{d}}', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'invoice_status.delcredere', 'Collection transfer', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'edit_invoice.CartItemsEdited', 'The cart has been edited.', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.sr.edit_invoice.CartReset', 'The cart has been reset.', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.sr.current_amount', 'current invoice amount:', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'button_cancel_sr', 'cancel invoice', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'button_download_sr', 'download invoice', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'button_download_sr2', 'download invoice', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'order_details', 'Order details', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'cancel_sr_error', 'During cancellation of the invoice an error occurred', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'cancel_sr_title', 'cancel invoice', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'download_invoice', 'Download invoice as a PDF', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'download_invoice_error', 'During the download of the invoice an error occurred', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'invoice_objection', 'Objection', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'please_wait', 'Please wait', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'test_connection', 'Connection is tested', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'connection_ok', 'Successful connection to the interface', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'connection_failed', 'Connection to the interface could not be established', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'wrong_credentials', 'Incorrect access information', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'success', 'Success', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'inactive_module', 'Inactive module', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'activate_module', 'Please activate the module', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'advice', 'Information about the module from sofort.com', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'reason', 'reason', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'payment_secret', 'payment secret', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'orders_by_sofort', 'Payments by sofort.com', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'sr.transactionStateLabel', 'Transaction state:', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'sr.InvoiceStateLabel', 'Invoice state:', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'sr.PendingConfirmInvoice', 'Order with Payment by Invoice successfully submitted. The merchant is yet to acknowledge the order. Your transaction ID:', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'sr.LossConfirmationPeriodExpired', 'The invoice was cancelled. The confirmation period of 30 days has expired.', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'sr.ConfirmedWaitingForMoney', 'Invoice was confirmed. Waiting for payment.', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'sr.PendingInvoice', 'Invoice pending.', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'sr.DunningLevel', 'Dunning level {{d}}', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'sr.InvoiceMoneyReceived', 'The invoice was paid.', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'sr.MoneyRefunded', 'The money will be refunded.', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'sr.InvoiceRefunded', 'The invoice will be refunded.', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'sr.PaidByCustomer', 'customer paid the receipt.', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'sr.Encashment', 'Collection transfer', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'sr.InvoiceCancelled', 'The invoice has been cancelled.', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'sr.ReceiptOfPayment', 'Received', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'sr.ReadyForShipment', 'The goods are prepared for shipping.', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'sr.statusRefunded', 'The invoice has been cancelled. Refund created.', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.cancel_invoice', 'cancel invoice', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.cancel_confirmed_invoice', 'Credit invoice', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.confirm_invoice', 'confirm invoice', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.article', 'article', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.description', 'description', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.article_number', 'item number', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.cancel_invoice.question', 'Do you really want to cancel the invoice?', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.download_invoice', 'download invoice', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.download_invoice.hint', 'You can download the appropriate document (invoice preview, invoice, credit note) here.', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.download_credit_memo', 'download credit note', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.download_invoice_preview', 'download invoice preview', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.update_cart', 'save cart', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.update_cart.question', 'Do you really want to update the cart?', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.update_cart.error', 'An error occured while updating the cart.', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.update_cart.hint', 'Save your cart-changes here. When updating a confirmed invoice, reducing the quantity or deleting an article will cause a credit.', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.remove_from_invoice', 'delete article', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.remove_from_invoice.question', 'Do you really want to delete following articles: %s ?', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.remove_from_invoice.hint', 'Select items to delete them. Deleting an item from a confirmed invoice will cause a credit note.', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.quantity', 'Quantity', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.update_quantity', 'adjust quantity', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.update_quantity.hint', 'You can adjust the number of items per position. Amounts may be decreased, but mustn\'t be increased.', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.price', 'Price', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.update_price', 'adjust price', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.update_price.hint', 'You can adjust the price of each item per position. Prices may be decreased, but mustn\'t be increased.', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.update_price_and_quantity.hint', 'Price and quantity mustn\'t be adjusted at the same time.', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.update_confirmed_invoice', 'Please enter a comment', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.update_confirmed_invoice.hint', 'When adjusting a confirmed invoice, an appropriate reason must be provided. This reason will later appear on the credit note as a comment to the article.', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.update_shipping_costs.hint', 'On returns shipping costs are not allowed as a standalone item on an invoice.', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.remove_last_article.hint', 'By reducing the number of all or by removing the last item, the invoice will be cancelled completely.', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.invoice_details', 'payment details', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.order_details', 'order details', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.invoice_history', 'History of changes to the payment.', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.hint', 'Attention', NOW(), NOW()),
('sofort_multipay_backend', 1, 2, 'admin.action.warning', 'Warning', NOW(), NOW()),
('sofort_multipay_checkout', 1, 2, 'orderstatusset', '- Your order has been placed on the following status:', NOW(), NOW()),
('sofort_multipay_checkout', 1, 2, 'order_error', 'Error while processing the order.', NOW(), NOW()),
('sofort_multipay_checkout', 1, 2, 'cart_id', 'cart ID', NOW(), NOW()),
('sofort_multipay_checkout', 1, 2, 'dhw_sr_conditions', 'https://documents.sofort.com/de/sr/privacy_de', NOW(), NOW()),
('sofort_multipay_checkout', 1, 2, 'dhw_sv_conditions', 'https://documents.sofort.com/de/sv/privacy_de', NOW(), NOW()),
('sofort_multipay_checkout', 1, 2, 'dhw_ls_conditions', 'https://documents.sofort.com/de/ls/privacy_de', NOW(), NOW()),
('sofort_multipay_checkout', 1, 2, 'shipping_costs', 'shipping fees', NOW(), NOW()),
('sofort_multipay_checkout', 1, 2, 'checkout.sl.description', '<ul><li>Payment system with TV-certified Privacy Policy</li><li>No registration required</li><li>Goods / services can be dispatched IMMEDIATELY</li><li>Please have your online banking PIN ready</li></ul>', NOW(), NOW()),
('sofort_multipay_checkout', 1, 2, 'checkout.su.description', '<ul><li>Payment system with data protection certified by TV </li><li>No registration required</li><li>Immediate shipping of stock goods</li><li>Please keep your online banking login data ready</li></ul>', NOW(), NOW()),
('sofort_multipay_checkout', 1, 2, 'mandatory_fields', 'Fields marked with a * are mandory.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_8010', 'The data is incomplete oder incorrect. Please correct or contact the online merchant.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_8010.shipping_address.country_code', 'The country code of the shipping address can not be emtpy.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_8010.invoice_address.country_code', 'The country code of the invoice address can not be empty.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_8010.invoice_address.firstname', 'The firstname of the invoice address can not be empty.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_8010.invoice_address.lastname', 'The lastname of the invoice address can not be empty.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_8010.invoice_address.street', 'Street and house number must be separated by a space.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_8010.invoice_address.zipcode', 'The zipcode of the invoice address can not be empty.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_8010.invoice_address.city', 'The city name of the invoice address can not be empty.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_8010.shipping_address.firstname', 'The firstname of the shipping address can not be empty.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_8010.shipping_address.lastname', 'The lastname of the shipping address can not be empty.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_8010.shipping_address.street', 'Street and house number of the shipping address can not be empty.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_8010.shipping_address.zipcode', 'The zipcode of the shipping address can not be empty.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_8010.shipping_address.city', 'The city name of the shipping address can not be empty.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_8013', 'Only orders in Euro are supported at the moment. Please correct this and try again.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_8015', 'The total amount is too large or too small, please correct this or contact the shop owner.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_8019', 'The order cannot be completed due to an incorrect e-mail address. Please correct this and try again.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_8020', 'The order cannot be completed due to an incorrect telephone number. Please correct this and try again.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_8023', 'The order cannot be completed due to an incorrect BIC (Bank Identifier Code). Please correct this and try again.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_8024', 'The order cannot be completed due to an incorrect country code. The delivery/billing address must be in Germany. Please correct this and try again.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_8029', 'We can only support German accounts. Please correct this or try an alternative method of payment.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_8033', 'The total amount is too high. please correct this and try again.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_8034', 'The total amount is too low. Please correct this and try again.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_8051', 'The query contained invalid cart positions. Please correct this or contact the shop owner.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_8058', 'Please enter, at least, the account holder and try again.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_8061', 'A transaction with the information you have submitted already exists.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_8062', 'Purchase on account is currently only available for private customers.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_8068', 'Buy on account is only available to private customers at the moment.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_9000', 'No invoice transaction found.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_9001', 'The invoice could not be confirmed.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_9002', 'The provided invoice amount exceeds the credit limit.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_9003', 'The invoice could not have been cancelled.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_9004', 'The request contained invalid cart positions.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_9005', 'The cart could not be modified.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_9006', 'Access to the interface is not longer possible 30 days after receipt of payment.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_9007', 'The invoice has already been canceled.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_9008', 'The amount of the provided tax is too high.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_9009', 'The amounts given to the VAT rates of the items relate to each other in conflict.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_9010', 'Modifying the cart is not possible.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_9011', 'No comment was provided to the cart update.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_9012', 'You can not add positions to the cart. Similarly, the amount per invoice item can not be increased.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_9013', 'There are only non factorable items in your shopping cart.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_9014', 'The provided invoice number is already in use.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_9015', 'The provided credit number is already in use.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_9016', 'The provided order number is already in use.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_9017', 'The invoice has already been confirmed.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_9018', 'There where no data updated to the invoice.', NOW(), NOW()),
('sofort_multipay_errors', 1, 2, 'error_10001', 'Please complete the fields account number, sort code and account holder in full.', NOW(), NOW());